from abc import abstractmethod
from typing import Protocol

from flask_demo_api.protocols.models import GenderResponse, PeopleRequest


class RepositoryGateway(Protocol):
    @abstractmethod
    def get_gender(self, people: PeopleRequest) -> GenderResponse | None:
        raise NotImplementedError
